Bug 165344 - Update port: converters/py-unidecode Upgrade to 0.04.9
Summary: Update port: converters/py-unidecode Upgrade to 0.04.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-21 03:10 UTC by Douglas Thrift
Modified: 2012-02-21 21:40 UTC (History)
0 users

See Also:


Attachments
py-unidecode.2012-02-21T025700Z.diff (1.79 KB, patch)
2012-02-21 03:10 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2012-02-21 03:10:11 UTC
Upgraded converters/py-unidecode to 0.04.9. It has moved to PYPI and changed to
GPLv2.

https://redports.org/buildarchive/20120220230823-56860/

Note: the 7.4-RELEASE/amd64 buildgroup on redports seems to be down.

From ChangeLog:

2011-09-23      unidecode 0.04.9

        * Fixed Python 2.5 installation issue.

2011-09-22      unidecode 0.04.8

        * License change to GPL to fit better with other Python modules and
          to remove the issue of depending on Perl for licensing terms.
        * Always return a string object on Python 2.x. Before this patch,
          unidecode() returned a unicode object on Python 2.x if the input
          was a unicode object that contained ASCII characters. Behaviour
          on Python 3.x remains unchanged. (thanks to Wesley Yarde)
Comment 1 Jason Helfman freebsd_committer 2012-02-21 03:36:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-02-21 21:36:24 UTC
jgh         2012-02-21 21:36:11 UTC

  FreeBSD ports repository

  Modified files:
    converters/py-unidecode Makefile distinfo pkg-descr 
  Log:
  - Update to 0.04.9
  
  From ChangeLog:
  
  2011-09-23 unidecode 0.04.9
  
  * Fixed Python 2.5 installation issue.
  
  2011-09-22 unidecode 0.04.8
  
  * License change to GPL to fit better with other Python modules and
  to remove the issue of depending on Perl for licensing terms.
  * Always return a string object on Python 2.x. Before this patch,
  unidecode() returned a unicode object on Python 2.x if the input
  was a unicode object that contained ASCII characters. Behaviour
  on Python 3.x remains unchanged. (thanks to Wesley Yarde)
  
  PR:     ports/165344
  Submitted by:   maintainer, douglas@douglasthrift.net
  
  Revision  Changes    Path
  1.8       +3 -6      ports/converters/py-unidecode/Makefile
  1.7       +2 -2      ports/converters/py-unidecode/distinfo
  1.2       +1 -1      ports/converters/py-unidecode/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2012-02-21 21:36:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!